> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-describe.md).

# workflows versions describe

## Synopsis

```shell
omics workbench workflows versions describe --workflow=WORKFLOW_ID [VERSION_ID...]
  [--include-deleted]
```

## Description

Retrieve detailed information about one or more workflow versions within a specific workflow using the provided `WORKFLOW_ID` and optional `VERSION_ID` parameters. You can include deleted versions using the `--include-deleted` flag.

## Examples

Describe a specific version of a given workflow:

```shell
omics workbench workflows versions describe --workflow 123e4567-e89b-12d3-a456-426614174000 v1
```

Describe multiple versions of the specified workflow:

```shell
omics workbench workflows versions describe --workflow 123e4567-e89b-12d3-a456-426614174000 v1 v2 v3
```

Describe a version, including deleted ones, of the specified workflow:

```shell
omics workbench workflows versions describe --workflow 123e4567-e89b-12d3-a456-426614174000 --include-deleted v1
```

## Positional Arguments

### `VERSION_ID`

Specify one or more version identifiers (`VERSION_ID`) to retrieve detailed information about those versions within the specified workflow.

## Flags

### `--workflow`=`WORKFLOW_ID`

**Required**. Specify the UUID of the workflow for which you want to describe versions.

### `--include-deleted`

**Note**: If this flag is included, deleted versions will be included in the description.

```

Feel free to use this updated Markdown content for the `omics workbench workflows versions describe` command in your documentation.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-describe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
